DefaultArea (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.client.components
Class DefaultArea

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent
                      org.gcube.portlets.user.templates.client.components.DefaultArea

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public class DefaultArea

extends org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent
`DELTA, height, left, mainPanel, resizablePanel, top, topPanel, width`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DefaultArea(org.gcube.portlets.d4sreporting.common.shared.ComponentType type, Presenter presenter, int left, int top, int width, int height)`

Method Summary
`void` | `lockComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toLock, boolean locked)`
`void` | `removeTemplateComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toRemove)`

Methods inherited from class org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent
`get, getLeft, getMyFakeTextArea, getResizablePanel, getTop, getTopPanel, getType, hideCloseButton, repositionMyPanel, resizePanel, setHeight, setLeft, setLocked, setMyFakeTextArea, setTop, setType`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultArea

    public DefaultArea(org.gcube.portlets.d4sreporting.common.shared.ComponentType type,
                       Presenter presenter,
                       int left,
                       int top,
                       int width,
                       int height)

Method Detail

### lockComponent

    public void lockComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toLock,
                              boolean locked)

  Specified by:
    `lockComponent` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`

### removeTemplateComponent

    public void removeTemplateComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toRemove)

  Specified by:
    `removeTemplateComponent` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.